/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


// stdafx.h : include file for standard system include files,
//      or project specific include files that are used frequently,
//      but are changed infrequently

#if !defined(AFX_STDAFX_H__A05EE3C5_98B9_11D1_8897_447DFCC00000__INCLUDED_)
#define AFX_STDAFX_H__A05EE3C5_98B9_11D1_8897_447DFCC00000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define STRICT


// ugh: iclassactivator not defined unless..
#define _WIN32_WINNT 0x0400
//#define _ATL_APARTMENT_THREADED


#include <xutility> // for min,max
#include <atlbase.h>
//You may derive a class from CComModule and use it if you want to override
//something, but do not change the name of _Module
extern CComModule _Module;
#include <atlcom.h>

#include "MTracePlus.h"
#include "methtrace.h"
#include "tracecreate.h"

#include "atl_debug_refcount.h"
#include "Group.h"
#include "resource.h"

#include "break.h"
#include "check.h"
#include "run.h"
#include "qi.h"
#include "err.h"
#include "large.h"
#include "FixedOlePersist.h"
#include "countstream.h"
#include "Monikers.h"
#include "getObjectCLSID.h"

#include <hash_set>
#include <hash_map>
#include <set>
#include <map>
using namespace std;
using namespace stdext;

#include "hashMoniker.h"
#include "enum_iterator.h"
#include "make_pair_first_const.h"

#define REGGY_LIBID LIBID_Group
#include "reggy_rid.h"
#include "registerGeneric.h"
#include "CreateGroupMoniker.h"
#include <atlctl.h>
//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_STDAFX_H__A05EE3C5_98B9_11D1_8897_447DFCC00000__INCLUDED)
