/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


inline void notFound(Group *g,char *iface,char *method, OLECHAR*name) {
	MTrace(NF)("notfound\t%p\tGroup\t%s\t%s\t\"%S\"\n",g,iface,method,name);
}
inline void notFound(Group *g,char *iface,char *method, IMoniker *mk) {
    FUNTRACE(notFound);
	LPOLESTR name;
	SRUN(mk->GetDisplayName(BindCtx(),0,&name));
    notFound(g,iface,method,name+1);
	CoTaskMemFree(name);
}
#define GNOTFOUND(Interface,Method,mk) notFound(this,#Interface,#Method,mk)
