/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#include "RegCategory.h"
// Odd do-nothing class to appear in bootstrapper menu when you insert Montage Control Container
// and not some specialization
struct bootBlank : CComObjectRoot,
	CComCoClass<bootBlank,&CLSID_MCCBootBlank>,
	IInitializeOther
{
	REGISTER_GENERIC(L"BootBlank")
	bootBlank() {
		CONSTRUCTORTRACE(bootBlank);
	}
	~bootBlank() {
		DESTRUCTORTRACE(bootBlank);
	}
BEGIN_CATEGORY_MAP(bootBlank)
	IMPLEMENTED_CATEGORY(CATID_MCCStarter)
END_CATEGORY_MAP()

BEGIN_COM_MAP(bootBlank)
	COM_INTERFACE_ENTRY(IInitializeOther)
END_COM_MAP()
	STDMETHODIMP InitializeOther(IUnknown *mc) {
		return S_OK;
	}
};
