/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


struct DefaultFileFormat :
	IMCCFileFormat,
	INeedSomePointers
{
	CComPtr<DIMontageContainerRef> m_refMC;
	CComPtr<IMCCFilePort> m_filePort;

BEGIN_COM_MAP(DefaultFileFormat)
	COM_INTERFACE_ENTRY(IMCCFileFormat)
	COM_INTERFACE_ENTRY(INeedSomePointers)
END_COM_MAP()
// IMCCDefaultFileFormat
	STDMETHODIMP get_Montage(IMontageContainer **ret);
	STDMETHODIMP put_Montage(IMontageContainer *val);
	STDMETHODIMP get_FilePort(IMCCFilePort **ret);
	STDMETHODIMP put_FilePort(IMCCFilePort *val);
// IMCCFileFormat
	STDMETHODIMP Import(LPCOLESTR filename);
	STDMETHODIMP Export(LPCOLESTR filename);
// INeedSomePointers
	STDMETHODIMP TakePointers(IEnumUnknown *eu,IEnumMoniker *ms);
};