/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


class ATL_NO_VTABLE DropSource :
	public CComCoClass<DropSource,&CLSID_MCCDropSource>,
	public CComObjectRoot,
	public IMCCDropSource,
	public IDropSource
{
	DWORD m_button; // what button started a drag
public:
	REGISTER_GENERIC(L"DropSource")
BEGIN_COM_MAP(DropSource)
	COM_INTERFACE_ENTRY(IMCCDropSource)
	COM_INTERFACE_ENTRY(IDropSource)
END_COM_MAP()

// IMCCDropSource
	STDMETHODIMP StartDrag(DWORD button);
// IDropSource
    STDMETHODIMP QueryContinueDrag(BOOL fEscapePressed,DWORD grfKeyState);
    STDMETHODIMP GiveFeedback(DWORD dwEffect);
};