/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


// dummy implementation to fool apps expecting default handler
#include "stdafx.h"
#include "Container.h"

STDMETHODIMP Container::Cache(FORMATETC *pformatetc,DWORD advf,DWORD *pdwConnection) {
	*pdwConnection = 1;
	return S_OK;
}
STDMETHODIMP Container::Uncache(DWORD dwConnection) {
	return S_OK;
}
// say that we cache view info only (these are the params WordPerfect calls Cache with)
STATDATA g_viewStat = {{0,0,DVASPECT_CONTENT,-1,0},ADVF_PRIMEFIRST,0,1};
typedef CComObject<CComEnum<IEnumSTATDATA,&IID_IEnumSTATDATA,STATDATA,_Copy<STATDATA> > > enumSTATDATA;
STDMETHODIMP Container::EnumCache(IEnumSTATDATA **ppenumSTATDATA) {
	enumSTATDATA *ret = new enumSTATDATA;
	ret->Init(&g_viewStat,&g_viewStat+1,0,AtlFlagCopy);
	(*ppenumSTATDATA = ret)->AddRef();
	return S_OK;
}
STDMETHODIMP Container::InitCache(IDataObject *pDataObject) {
	return S_OK;
}
// rely on IDataObject impl (which fails)
/*
STDMETHODIMP Container::SetData(FORMATETC *pformatetc,STGMEDIUM *pmedium,BOOL fRelease) {
	return S_OK;
}
*/