/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#include "stdafx.h"
#include "Ordering.h"

//--------------------------------
// SiteOrdering
//
SiteOrdering::SiteOrdering() {
	CONSTRUCTORTRACE(SiteOrdering);
}
SiteOrdering::~SiteOrdering() {
	DESTRUCTORTRACE(SiteOrdering);
}
// IPersistStream
STDMETHODIMP SiteOrdering::GetClassID(CLSID *pClassID) {
	METHTRACE(SiteOrdering,GetClassID);
	*pClassID = GetObjectCLSID();
	return S_OK;
}
//--------------------------
// LayerOrdering
//
LayerOrdering::LayerOrdering() {
	CONSTRUCTORTRACE(LayerOrdering);
}
LayerOrdering::~LayerOrdering() {
	DESTRUCTORTRACE(LayerOrdering);
}
STDMETHODIMP LayerOrdering::GetClassID(CLSID *pClassID) {
	METHTRACE(LayerOrdering,GetClassID);
	*pClassID = GetObjectCLSID();
	return S_OK;
}