/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#include "stdafx.h"
#include "ClipFormats.h"

//OLE Documents Clipboard Formats
// Copied from Brockschmidt's InOle.h

#define CFSTR_EMBEDSOURCE       TEXT("Embed Source")
#define CFSTR_EMBEDDEDOBJECT    TEXT("Embedded Object")
#define CFSTR_LINKSOURCE        TEXT("Link Source")
#define CFSTR_CUSTOMLINKSOURCE  TEXT("Custom Link Source")
#define CFSTR_OBJECTDESCRIPTOR  TEXT("Object Descriptor")
#define CFSTR_LINKSRCDESCRIPTOR TEXT("Link Source Descriptor")

ClipFormats::ClipFormats() {
	CONSTRUCTORTRACE(ClipFormats);
	cc = RegisterClipboardFormat(_T("Montage Control Container"));
	embedsource = RegisterClipboardFormat(CFSTR_EMBEDSOURCE);
	embedded= RegisterClipboardFormat(CFSTR_EMBEDDEDOBJECT);
	objectdescriptor = RegisterClipboardFormat(CFSTR_OBJECTDESCRIPTOR);
}
ClipFormats::~ClipFormats() {
	DESTRUCTORTRACE(ClipFormats);
}
ClipFormats g_clipformats;
