/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#include "stdafx.h"

#include "CvtMetrics.h"

CvtMetrics g_cvt;
CvtMetrics::CvtMetrics() {
	CONSTRUCTORTRACE(CvtMetrics);
	HDC hDC = GetDC(NULL);

	hx = HIMETRIC_PER_INCH;// GetDeviceCaps(hDC,HORZSIZE)*100;
	hy = HIMETRIC_PER_INCH;// GetDeviceCaps(hDC,VERTSIZE)*100;
	px = GetDeviceCaps(hDC,LOGPIXELSX);// GetDeviceCaps(hDC,HORZRES);
	py = GetDeviceCaps(hDC,LOGPIXELSY);// GetDeviceCaps(hDC,VERTRES);
	ReleaseDC(NULL,hDC);
}
CvtMetrics::~CvtMetrics() {
	DESTRUCTORTRACE(CvtMetrics);
}
