/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


class CvtMetrics {
	int hx,hy,px,py;
public:
	CvtMetrics();
	~CvtMetrics();
	SIZEL HI2Pix(SIZEL sz) {
		(sz.cx *= px) /= hx;
		(sz.cy *= py) /= hy;
		return sz;
	}
	SIZEL Pix2HI(SIZEL sz) {
		(sz.cx *= hx) /= px;
		(sz.cy *= hy) /= py;
		return sz;
	}
};
extern CvtMetrics g_cvt;
