/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#ifndef DISPEN_H
#define DISPEN_H
class CDispEnabler : public IDispatch {
	REFIID iid;
public:
	CDispEnabler(REFIID riid) : iid(riid) {}
     STDMETHODIMP GetTypeInfoCount(
		 UINT *pctinfo);
     STDMETHODIMP GetTypeInfo(
         UINT iTInfo,
         LCID lcid,
         ITypeInfo **ppTInfo);
     STDMETHODIMP GetIDsOfNames(
         REFIID riid,
         LPOLESTR *rgszNames,
         UINT cNames,
         LCID lcid,
         DISPID *rgDispId);

	 // does not actually implement this (you must)
     STDMETHODIMP Invoke(
         DISPID dispIdMember,
         REFIID riid,
         LCID lcid,
         WORD wFlags,
         DISPPARAMS *pDispParams,
         VARIANT *pVarResult,
         EXCEPINFO *pExcepInfo,
         UINT *puArgErr) = 0;
};
#endif DISPEN_H