/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#ifndef FoolishCreatePointerMoniker_h
#define FoolishCreatePointerMoniker_h
// win95 version of CPM seems to hold an extra ref?
inline FoolishCreatePointerMoniker(IUnknown *src,IMoniker **ret) {
	HRESULT hr = CreatePointerMoniker(src,ret);
	ULONG count = (*ret)->AddRef();
	if(count>2)
		(*ret)->Release();
	(*ret)->Release();
	return hr;
}
#endif