/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#include "stdafx.h"

#include "MontageConfig.h"
LPOLESTR progdirString() {
	HINSTANCE hMod =
    __if_exists(_Module) {
    	_Module
	}
	__if_not_exists(_Module) {
		_AtlBaseModule
	}
		.GetModuleInstance();

	TCHAR buf[400];
	DWORD len = GetModuleFileName(hMod,buf,sizeof(buf))+1;
	LPOLESTR ret = (LPOLESTR)CoTaskMemAlloc(len*sizeof(OLECHAR));
	ATLA2WHELPER(ret,buf,len);
	while(ret[--len]!='\\' && len>0);
	ret[len] = 0;
	return ret;
}