/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


// it isn't clear what the best scale for drawing metafiles is.
// it should be high-res so that drawings will scale, but not too high
// res because it is hard to get accurate font sizes when the
// scale is too great (?).  So for now, LOMETRIC looks best
namespace RenderPolicy {
	inline SIZEL inSize(SIZEL himetric) {
		return himetric/10;
	}
	inline int inX(int hiX) {
		return hiX/10;
	}
	inline int inY(int hiY) {
		return hiY/10;
	}
	inline SIZEL outSize(SIZEL render) {
		return render*10;
	}
	inline int outX(int hiX) {
		return hiX*10;
	}
	inline int outY(int hiY) {
		return hiY*10;
	}
};