/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


inline LPOLESTR a2olestrdup(const string &s) {
    int size = int(s.size())+1;
    LPOLESTR ret = (LPOLESTR)CoTaskMemAlloc(size*2);
    ATLA2WHELPER(ret,s.c_str(),size);
    return ret;
}
inline LPOLESTR a2olestrdup(const char *s) {
    int size = int(strlen(s))+1;
    LPOLESTR ret = (LPOLESTR)CoTaskMemAlloc(size*2);
    ATLA2WHELPER(ret,s,size);
    return ret;
}
