/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


// modified from Brockschmidt
struct BitBrush {
	HBITMAP bitz;
	HBRUSH brush;
	BitBrush(__int64 data) {
		BYTE *data0 = (BYTE*)&data;
		// pad to words
		WORD data2[8] = {data0[0],data0[1],data0[2],data0[3],
			data0[4],data0[5],data0[6],data0[7]};
		bitz = CreateBitmap(8, 8, 1, 1, data2);
		brush = CreatePatternBrush(bitz);
	}
	~BitBrush() {
		DeleteObject(brush);
		DeleteObject(bitz);
	}
};
