/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


// This is very unfortunate.
// it's extraordinarily compicated to deal with a set of monikers when you really
// want the sites they point to.
// getSites converts such a set to a vector of IMCCSites...
class VS : public vector<IMCCSite *> {
public:
	~VS() {
		for(iterator i = begin();i!=end();i++)
			(*i)->Release();
	}
};
VS *getSites(IGroup *group,IItemSet *iset, bool realize = false);