/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


// Microsoft has to go and wrap a perfectly good 64 bit int
// in some weird structure.
inline LARGE_INTEGER &castLarge(ULONGLONG &i) {
	return *(LARGE_INTEGER*)&i;
}
inline ULARGE_INTEGER &castULarge(ULONGLONG &i) {
	return *(ULARGE_INTEGER*)&i;
}
inline const LARGE_INTEGER &castLarge(const ULONGLONG &i) {
	return *(LARGE_INTEGER*)&i;
}
inline const ULARGE_INTEGER &castULarge(const ULONGLONG &i) {
	return *(ULARGE_INTEGER*)&i;
}