/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


inline SIZE determineScrollWay(RECT rc,int inset,POINT pt) {
	SIZE ret = {0,0};
	if(pt.x<rc.left+inset)
		ret.cx = -1;
	else if(pt.x>rc.right-inset)
		ret.cx = 1;
	if(pt.y<rc.top+inset)
		ret.cy = -1;
	else if(pt.y>rc.bottom-inset)
		ret.cy = 1;
	return ret;
}
