/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


struct Toolness {
	MBasics &mb;
	CComPtr<IMCCLayer> toolLayer;
	CComPtr<IMoniker> mkToolLayer,mkToolSitesOrdering;
	CComPtr<IMCCSiteLayoutEvents> toolDrawer;
	Toolness(MBasics &mb,IMCCLayer *toolLayer = 0,IMoniker *mkToolLayer = 0,IMoniker *mkToolSitesOrdering = 0,IMCCSiteLayoutEvents *toolDrawer = 0);
	HRESULT createToolbar(LPOLESTR desc,const RECT &r,IUnknown *ctrl,IMoniker *mkCtrl, IMCCSite **retSite = 0);
	HRESULT createMetabar(LPOLESTR desc,const RECT &r,IMontageContainer **retMeta,IMoniker **retMk);
};
