VERSION 5.00
Begin VB.UserControl FileCatcherMode 
   BackStyle       =   0  'Transparent
   ClientHeight    =   3600
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4800
   MouseIcon       =   "FileCatcherMode.ctx":0000
   MousePointer    =   99  'Custom
   OLEDropMode     =   1  'Manual
   ScaleHeight     =   240
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   320
   Windowless      =   -1  'True
End
Attribute VB_Name = "FileCatcherMode"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
' doesn't work - because this is OCX?
'Private Declare Function CreateBindCtx Lib "system\ole2" (reserved As Long) As IBindCtx
Dim graphStuff As Object
Dim WithEvents Mode As MCCModeDelegate
Attribute Mode.VB_VarHelpID = -1
Dim Activator As MCCItemSetActivator
Dim activeSet As DIItemSet
Public Sub Initialize(del As MCCModeDelegate, act As MCCItemSetActivator, activationSet As DIItemSet)
    Set Mode = del
    Set Activator = act
    Set activeSet = activationSet
    If del.State > MODE_SHOWN Then Mode_Activate del.State = MODE_ACTIVEONCE
End Sub
Private Sub Mode_Activate(ByVal once As Boolean)
    If Activator Is Nothing Then Exit Sub
    Activator.Start
End Sub
Private Sub Mode_Deactivate()
    If Activator Is Nothing Then Exit Sub
    Activator.Stop
End Sub
Private Sub UserControl_HitTest(x As Single, y As Single, HitResult As Integer)
    HitResult = vbHitResultHit
End Sub
Private Sub UserControl_Show()
    Dim oo As IOleObject
    Set oo = Parent ' Montage
    Dim ocs As IOleClientSite
    oo.GetClientSite ocs ' vb site
    Dim oc As IOleContainer
    ocs.GetContainer oc 'vb
    Set graphStuff = oc
End Sub

Private Sub UserControl_OLEDragDrop(data As DataObject, Effect As Long, Button As Integer, Shift As Integer, x As Single, y As Single)
    If data.GetFormat(vbCFFiles) Then
        Dim pos As New MCCPosInfo
        pos.SetWindowRect x - 50, y - 30, x + 50, y + 30
        Dim d As DIDGMDrawer
        Set d = graphStuff.GraphDrawer
        For Each f In data.Files
            ' draw graphStuff Node
            Dim gi As IGroupItem
            Set gi = d.NewNode(Nothing, f, pos)
            ' get control of site of persistor
            gi.Realize Nothing ' IGroupItem humors VB
            Dim p As DIPersistor
            Set p = gi
            Dim s As DIMCCSite
            Set s = p.Subject
            Dim node As stuffNode
            Set node = s.Control
            ' set filename as default description
            Let lastslash = InStrRev(f, "\")
            Let descr = Right(f, Len(f) - lastslash)
            node.Description = descr
            node.Filename = f
            ' add to activation set
            activeSet.Add s.RelMoniker
            s.UpdateExtent
        Next f
    End If
End Sub

Private Sub UserControl_OLEDragOver(data As DataObject, Effect As Long, Button As Integer, Shift As Integer, x As Single, y As Single, State As Integer)
    ' If State = 1 Then Exit Sub ' don't care about leaving
    If data.GetFormat(vbCFFiles) Then
        If Effect And 4 Then ' link
            Effect = 4
        ElseIf Effect And vbDropEffectCopy Then
            Effect = vbDropEffectCopy
        Else
            Effect = 0
        End If ' don't move or whatever else
    Else
        Effect = 0
    End If
End Sub

Private Sub UserControl_Terminate()
    'MsgBox "I die"
End Sub
