/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


// stdafx.h : include file for standard system include files,
//      or project specific include files that are used frequently,
//      but are changed infrequently

#if !defined(AFX_STDAFX_H__889D397D_8DE8_11D2_83D8_F7255FE04533__INCLUDED_)
#define AFX_STDAFX_H__889D397D_8DE8_11D2_83D8_F7255FE04533__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define STRICT
#ifndef _WIN32_WINNT
#define _WIN32_WINNT 0x0400
#endif
#define _ATL_APARTMENT_THREADED

#define ATL_TRACE_CATEGORY atlTraceQI
#include <atlbase.h>
//You may derive a class from CComModule and use it if you want to override
//something, but do not change the name of _Module
extern CComModule _Module;
#include <atlcom.h>
#include <atlctl.h>
// MSVC++ COM support classes
#include <comdef.h>
// COM defs
#include <dispex.h>
#include "..\..\Group\Group.h"
#include "..\..\comdg\comdg.h"
#include "..\..\Montage\Montage.h"
#include "..\..\dgm\dgm.h"
// utils
#include <xutility> // for min,max
using namespace std;
#include "qi.h"
#include "break.h"
#include "run.h"
#include "..\..\mtrace\mtrace.h"
#include "methtrace.h"
#include "err.h"
#include "tracecreate.h"
#include "enum_iterator.h"
#include "nodeAndSite.h"
#include "FoolishCreatePointerMoniker.h"
#include "FixedOlePersist.h"
#include "rect.h"
#include "bindctx.h"
#include "pointermoniker.h"
#include "ComposeMk.h"
#include "GetSubjectMk.h"
// resource IDs
#include "resource.h"

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__889D397D_8DE8_11D2_83D8_F7255FE04533__INCLUDED)
