/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__16A9E3FF_C741_11D2_83D8_A589F2CAD60B__INCLUDED_)
#define AFX_STDAFX_H__16A9E3FF_C741_11D2_83D8_A589F2CAD60B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxole.h>         // MFC OLE classes
#include <afxodlgs.h>       // MFC OLE dialog classes
#include <afxdisp.h>        // MFC Automation classes
#include <afxdtctl.h>		// MFC support for Internet Explorer 4 Common Controls
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT

#include <comdef.h>

// types
#include <dispex.h>
#include "..\..\Group\Group.h"
#include "..\..\Montage\Montage.h"
#include "..\..\comdg\comdg.h"
#include "..\..\dgm\dgm.h"
#include "..\clickNodes\clickNodes.h"

// utils
#include "break.h"
#include "run.h"
#include "..\..\mtrace\mtrace.h"
#include "methtrace.h"
#include "tracecreate.h"
#include "err.h"

// resource IDs
#include "resource.h"

// main class
#include "histograph2App.h"


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__16A9E3FF_C741_11D2_83D8_A589F2CAD60B__INCLUDED_)
