/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


inline HRESULT fillCombo(IDinographCentral *central,DINOGRAPH_INPUT_TYPES type,IMCCComboBox *combo) {
    FUNTRACE(fillCombo);
	CComPtr<IEnumString> es;
	SRUN(central->EnumExisting(type,&es));
	for(olestr_iterator si(es); si!=olestr_iterator(); ++si)
		SRUN(combo->Add(*si));
	return S_OK;
}