/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


// NestingControl.cpp : Implementation of Nesting

#include "stdafx.h"
#include "Dgm.h"
#include "NestingControl.h"

/////////////////////////////////////////////////////////////////////////////
// Nesting

HRESULT NestingControl::OnDraw(ATL_DRAWINFO& di) {
	HDC hdc = di.hdcDraw;
	RECT& rc = *(RECT*)di.prcBounds;
	HPEN p = CreatePen(PS_SOLID,1,RGB(255,0,0)),
		oldP = (HPEN)SelectObject(hdc,p);
	SelectObject(hdc,GetStockObject(NULL_BRUSH));
	Rectangle(hdc,rc.left,rc.top,rc.right,rc.bottom);
	SelectObject(hdc,oldP);
	DeleteObject(p);

	return S_OK;
}
