/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#include "stdafx.h"
#include "copyITEMINF.h"
#include "ItemInfo.h"

STDMETHODIMP ItemInfo::get_Object(IUnknown **ret) {
	if(*ret = m_dat.o)
		m_dat.o->AddRef();
	return S_OK;
}
STDMETHODIMP ItemInfo::get_Moniker(IUnknown **ret) {
	if(*ret = m_dat.mk)
		m_dat.mk->AddRef();
	return S_OK;
}
STDMETHODIMP ItemInfo::get_Count(long *ret) {
	*ret = m_dat.count;
	return S_OK;
}
