/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


struct copyITEMINF {
	static HRESULT copy(ITEMINF* ii1, ITEMINF* ii2) {
		*ii1 = *ii2;
		if(ii2->o)
			ii2->o->AddRef();
		if(ii2->mk)
			ii2->mk->AddRef();
		return S_OK;
	}
	static void init(ITEMINF*ii) {
		memset(ii,0,sizeof(ITEMINF));
	}
	static void destroy(ITEMINF*ii) {
		if(ii->o)
			ii->o->Release();
		if(ii->mk)
			ii->mk->Release();
	}
};
