/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


class ATL_NO_VTABLE AmbientMapper :
	public CComCoClass<AmbientMapper,&CLSID_MCCAmbientMapper>,
	public CComObjectRoot,
	public IDispatchEx,
	public IPersist
{
	dispmap m_map;
	typedef map<DISPID,LPOLESTR> backmap;
	backmap m_backmap;
public:
	AmbientMapper();
	~AmbientMapper();

	REGISTER_GENERIC(L"AmbientMapper")
BEGIN_COM_MAP(AmbientMapper)
	COM_INTERFACE_ENTRY(IDispatchEx)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(IPersist)
END_COM_MAP()

// IDispatch
	STDMETHODIMP GetTypeInfoCount(UINT * pctinfo);
	STDMETHODIMP GetTypeInfo(UINT iTInfo,LCID lcid,ITypeInfo ** ppTInfo);
	STDMETHODIMP GetIDsOfNames(REFIID riid,LPOLESTR * rgszNames,UINT cNames,
		LCID lcid,DISPID * rgDispId);
	STDMETHODIMP Invoke(DISPID dispIdMember,REFIID riid,LCID lcid,WORD wFlags,
		DISPPARAMS * pDispParams,VARIANT * pVarResult,EXCEPINFO * pExcepInfo,UINT * puArgErr);
// ..Ex
	STDMETHODIMP GetDispID(BSTR bstrName,DWORD grfdex,DISPID *pid);
	STDMETHODIMP InvokeEx(DISPID id,LCID lcid,WORD wFlags,DISPPARAMS *pdp,VARIANT *pvarRes,
		EXCEPINFO *pei,IServiceProvider *pspCaller);
	STDMETHODIMP DeleteMemberByName(BSTR bstr, DWORD grfdex);
	STDMETHODIMP DeleteMemberByDispID(DISPID id);
	STDMETHODIMP GetMemberProperties(DISPID id,DWORD grfdexFetch,DWORD *pgrfdex);
	STDMETHODIMP GetMemberName(DISPID id,BSTR *pbstrName);
	STDMETHODIMP GetNextDispID(DWORD grfdex,DISPID id,DISPID *pid);
	STDMETHODIMP GetNameSpaceParent(IUnknown **ppunk);
// IPersist
	STDMETHODIMP GetClassID(CLSID *pClassID);
};