/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#include "stdafx.h"
#include "DefaultFileFormat.h"

STDMETHODIMP DefaultFileFormat::get_Montage(IMontageContainer **ret) {
	*ret = 0;
	if(m_refMC)
		m_refMC->get_Montage(ret);
	return S_OK;
}
STDMETHODIMP DefaultFileFormat::put_Montage(IMontageContainer *val) {
	m_refMC.Release();
	if(val)
		val->get_RefObject(&m_refMC);
	return S_OK;
}
STDMETHODIMP DefaultFileFormat::get_FilePort(IMCCFilePort **ret) {
	m_filePort.CopyTo(ret);
	return S_OK;
}
STDMETHODIMP DefaultFileFormat::put_FilePort(IMCCFilePort *val) {
	if(m_filePort) {
		m_filePort->UnregisterFileFormat(MFP_IMPORT
	m_filePort = val;

}

// IMCCFileFormat
STDMETHODIMP DefaultFileFormat::Import(LPCOLESTR filename) {
	// try to open group and paste
	ERR(E_NOTIMPL);
}
STDMETHODIMP DefaultFileFormat::Export(LPCOLESTR filename) {

}
// INeedSomePointers
STDMETHODIMP DefaultFileFormat::TakePointers(IEnumUnknown *eu,IEnumMoniker *ms) {

}
