/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


class DefaultSiteOwner :
	public CComCoClass<DefaultSiteOwner,&CLSID_MCCDefaultSiteOwner>,
	public CComObjectRoot,
	public IDefaultSink,
	public IMCCSiteOwner
{
	CComQIPtr<IMCCSite> m_subject;
public:
	DefaultSiteOwner();
	~DefaultSiteOwner();
	REGISTER_GENERIC(L"DefaultSiteOwner")
BEGIN_COM_MAP(DefaultSiteOwner)
	COM_INTERFACE_ENTRY(IDefaultSink)
	COM_INTERFACE_ENTRY(IMCCSiteOwner)
END_COM_MAP()

// IDefaultSink
	STDMETHODIMP StartSink(IUnknown *firedOn);
// IMCCSiteOwner
	STDMETHODIMP Move(MCC_POS_INFO *lprc);
	STDMETHODIMP PutBefore(IMCCSite *other);
	STDMETHODIMP PutBehind(IMCCSite *other);
	STDMETHODIMP Intend(long val);
};
