/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#include "stdafx.h"
#include "Container.h"
// IDispatch
STDMETHODIMP Container::GetTypeInfoCount(UINT * pctinfo) {
	return m_stuff->GetTypeInfoCount(pctinfo);
}
STDMETHODIMP Container::GetTypeInfo(UINT iTInfo,LCID lcid,ITypeInfo ** ppTInfo) {
	return m_stuff->GetTypeInfo(iTInfo,lcid,ppTInfo);
}
STDMETHODIMP Container::GetIDsOfNames(REFIID riid,LPOLESTR * rgszNames,UINT cNames,	LCID lcid,DISPID * rgDispId) {
	return m_stuff->GetIDsOfNames(riid,rgszNames,cNames,lcid,rgDispId);
}
STDMETHODIMP Container::Invoke(DISPID dispIdMember,REFIID riid,LCID lcid,WORD wFlags,DISPPARAMS * pDispParams,VARIANT * pVarResult,EXCEPINFO * pExcepInfo,UINT * puArgErr) {
	return m_stuff->Invoke(dispIdMember,riid,lcid,wFlags,pDispParams,pVarResult,pExcepInfo,puArgErr);
}
// -Ex
STDMETHODIMP Container::GetDispID(BSTR bstrName,DWORD grfdex,DISPID *pid) {
	return m_stuff->GetDispID(bstrName,grfdex,pid);
}
STDMETHODIMP Container::InvokeEx(DISPID id,LCID lcid,WORD wFlags,DISPPARAMS *pdp,VARIANT *pvarRes,EXCEPINFO *pei,IServiceProvider *pspCaller) {
	return m_stuff->InvokeEx(id,lcid,wFlags,pdp,pvarRes,pei,pspCaller);
}
STDMETHODIMP Container::DeleteMemberByName(BSTR bstr, DWORD grfdex) {
	return m_stuff->DeleteMemberByName(bstr,grfdex);
}
STDMETHODIMP Container::DeleteMemberByDispID(DISPID id) {
	return m_stuff->DeleteMemberByDispID(id);
}
STDMETHODIMP Container::GetMemberProperties(DISPID id,DWORD grfdexFetch,DWORD *pgrfdex) {
	return m_stuff->GetMemberProperties(id,grfdexFetch,pgrfdex);
}
STDMETHODIMP Container::GetMemberName(DISPID id,BSTR *pbstrName) {
	return m_stuff->GetMemberName(id,pbstrName);
}
STDMETHODIMP Container::GetNextDispID(DWORD grfdex,DISPID id,DISPID *pid) {
	return m_stuff->GetNextDispID(grfdex,id,pid);
}
STDMETHODIMP Container::GetNameSpaceParent(IUnknown **ppunk) {
	return m_stuff->GetNameSpaceParent(ppunk);
}
