/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#include "StdAfx.h"
#include "Container.h"

// IOleDocument implementation
STDMETHODIMP Container::CreateView(IOleInPlaceSite *pIPSite,IStream *pstm,DWORD dwReserved,IOleDocumentView **ppView) {
	m_pInPlaceSite = pIPSite;
	m_hatchMode = MHM_OFF; // DocObject doesn't need hatching!
	return GetUnknown()->QueryInterface(riidret(ppView));
}
STDMETHODIMP Container::GetDocMiscStatus(DWORD *pdwStatus) {
	*pdwStatus = 0;
	return S_OK;
}
STDMETHODIMP Container::EnumViews(IEnumOleDocumentViews **ppEnum,IOleDocumentView **ppView) {
	*ppEnum = 0;
	return GetUnknown()->QueryInterface(riidret(ppView));
}
