/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#include "stdafx.h"
#include "Container.h"

STDMETHODIMP Container::GetActivationPolicy(DWORD *pdwPolicy) {
	IMETHTRACE(Container,IPointerInactive,GetActivationPolicy);
	*pdwPolicy = POINTERINACTIVE_ACTIVATEONDRAG;
	return S_OK;
}
STDMETHODIMP Container::OnInactiveMouseMove(LPCRECT pRectBounds,LONG x,LONG y,
	DWORD grfKeyState) {
	IMETHTRACE(Container,IPointerInactive,OnInactiveMouseMove);
	return S_OK;
}
STDMETHODIMP Container::OnInactiveSetCursor(LPCRECT pRectBounds,LONG x,LONG y,
    DWORD dwMouseMsg,BOOL fSetAlways) {
	IMETHTRACE(Container,IPointerInactive,OnInactiveSetCursor);
	if(fSetAlways) // should set.............
		return S_OK;
	else
		return S_FALSE;
}
