/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


struct PosInfo : CComObjectRoot,
	CComCoClass<PosInfo,&CLSID_MCCPosInfo>,
	IDispatchImpl<DIMCCPosInfo,	&IID_DIMCCPosInfo>,
	IMCCPosInfo
{
	MCC_POS_INFO m_data;
	PosInfo();
	~PosInfo();
	REGISTER_GENERIC(L"PosInfo")
BEGIN_COM_MAP(PosInfo)
	COM_INTERFACE_ENTRY(DIMCCPosInfo)
	COM_INTERFACE_ENTRY(IMCCPosInfo)
END_COM_MAP()
// IMCCPosInfo
	STDMETHODIMP GetStuff(MCC_POS_INFO *ret);
// DIMCCPosInfo
	STDMETHODIMP get_Type(long *ret);
	STDMETHODIMP SetWindowPoint(long x, long y);
	STDMETHODIMP SetCanvasPoint(long x, long y);
	STDMETHODIMP GetPoint(long *x, long *y);
	STDMETHODIMP SetWindowRect(long left, long top, long right, long bottom);
	STDMETHODIMP SetCanvasRect(long left, long top, long right, long bottom);
	STDMETHODIMP GetRect(long *left, long *top, long *right, long *bottom);
};