/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


class ATL_NO_VTABLE PositionInfo :
	public CComCoClass<PositionInfo,&CLSID_MCCPositionInfo>,
	public CComObjectRoot,
	public IMCCPositionInfo
{
	POINTL m_canvasOffset;
	POINT m_pixelOffset;
public:
	REGISTER_GENERIC(L"PositionInfo")
	PositionInfo();
BEGIN_COM_MAP(PositionInfo)
	COM_INTERFACE_ENTRY(IMCCPositionInfo)
END_COM_MAP()

// IMCCPositionInfo
	STDMETHODIMP get_CanvasOffset(POINTL *ret);
	STDMETHODIMP put_CanvasOffset(POINTL val);
	STDMETHODIMP get_PixelOffset(POINT *ret);
	STDMETHODIMP put_PixelOffset(POINT val);
};