/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#include "stdafx.h"
#include "Container.h"

// dummy impl for containers that can't do without.

STDMETHODIMP Container::GetRunningClass(LPCLSID lpClsid) {
	*lpClsid = GetObjectCLSID();
	return S_OK;
}
STDMETHODIMP Container::Run(LPBINDCTX pbc) {
	return S_OK;
}
STDMETHODIMP_(BOOL) Container::IsRunning() {
	return TRUE;
}
STDMETHODIMP Container::LockRunning(BOOL fLock,BOOL fLastUnlockCloses) {
	return S_OK;
}
STDMETHODIMP Container::SetContainedObject(BOOL fContained) {
	return S_OK;
}
