/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#include "stdafx.h"
#include "cursors.h"
#include "resource.h"

// the non-system cursors are from MFC
void cursors::init() {
	HINSTANCE hInst = _Module.GetModuleInstance();
	track[0] = track[4] = LoadCursor(hInst,MAKEINTRESOURCE(AFX_IDC_TRACKNWSE));
	track[1] = track[5] = LoadCursor(hInst,MAKEINTRESOURCE(AFX_IDC_TRACKWE));
	track[2] = track[6] = LoadCursor(hInst,MAKEINTRESOURCE(AFX_IDC_TRACKNESW));
	track[3] = track[7] = LoadCursor(hInst,MAKEINTRESOURCE(AFX_IDC_TRACKNS));
	fourway = LoadCursor(hInst,MAKEINTRESOURCE(AFX_IDC_TRACK4WAY));
	size[0] = size[4] = LoadCursor(0,IDC_SIZENWSE);
	size[1] = size[5] = LoadCursor(0,IDC_SIZEWE);
	size[2] = size[6] = LoadCursor(0,IDC_SIZENESW);
	size[3] = size[7] = LoadCursor(0,IDC_SIZENS);
	arrow = LoadCursor(0,IDC_ARROW);
}

cursors g_cursors;