/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


class ATL_NO_VTABLE RunInit :
	public CComCoClass<RunInit,&CLSID_MCCRunInit>,
	public CComObjectRoot,
	public IInitializeOther,
	public IPersist {
public:
	RunInit();
	~RunInit();
	REGISTER_GENERIC(L"RunInit")
BEGIN_COM_MAP(RunInit)
	COM_INTERFACE_ENTRY(IInitializeOther)
	COM_INTERFACE_ENTRY(IPersist)
END_COM_MAP()

// IInitializeOther
	STDMETHODIMP InitializeOther(IUnknown *other);
// IPersist
	STDMETHODIMP GetClassID(CLSID *ret) {
		*ret = GetObjectCLSID();
		return S_OK;
	}
};
class ATL_NO_VTABLE CacheInit :
	public CComCoClass<CacheInit,&CLSID_MCCCacheInit>,
	public CComObjectRoot,
	public IInitializeOther,
	public IPersist {
public:
	CacheInit();
	~CacheInit();
	REGISTER_GENERIC(L"CacheInit")
BEGIN_COM_MAP(CacheInit)
	COM_INTERFACE_ENTRY(IInitializeOther)
	COM_INTERFACE_ENTRY(IPersist)
END_COM_MAP()

// IInitializeOther
	STDMETHODIMP InitializeOther(IUnknown *other);
// IPersist
	STDMETHODIMP GetClassID(CLSID *ret) {
		*ret = GetObjectCLSID();
		return S_OK;
	}
};
