/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


inline void brushRect(HDC hdc,RECT rc,int width,HBRUSH brush) {
	RECT rc2 = rc;
	rc2.right = rc.left+width;
	FillRect(hdc,&rc2,brush);
	rc2.right = rc.right;
	rc2.bottom = rc.top+width;
	FillRect(hdc,&rc2,brush);
	rc2.bottom = rc.bottom;
	rc2.left = rc.right - width;
	FillRect(hdc,&rc2,brush);
	rc2.left = rc.left;
	rc2.top = rc.bottom - width;
	FillRect(hdc,&rc2,brush);
}