/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


inline HRESULT createAffixMoniker(LPOLESTR base, LPOLESTR affix, IMoniker **ret) {
    FUNTRACE(createAffixMoniker);
	WCHAR *buf = new WCHAR[wcslen(base)+wcslen(affix)+5],
		*i = buf;
	i = wcscpy(i,base)+wcslen(base);
	*i++ = L' ';
	i = wcscpy(i,affix)+wcslen(affix);
	*i = 0;
	SRUN(CreateItemMoniker(L"!",buf,ret));
	delete buf;
	return S_OK;
}
