/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


inline HRESULT defaultFont(LPOLESTR name,LONGLONG size,IFontDisp**ret) {
    FUNTRACE(defaultFont);
	FONTDESC fd;
	fd.cbSizeofstruct = sizeof(FONTDESC);
	fd.lpstrName = name;
	fd.cySize.int64 = size;
	fd.sWeight = FW_NORMAL;
	fd.sCharset = DEFAULT_CHARSET;
	fd.fItalic = FALSE;
	fd.fUnderline = FALSE;
	fd.fStrikethrough = FALSE;
	SRUN(OleCreateFontIndirect(&fd,IID_IFontDisp,(void**)ret));
	SRUN(CComQIPtr<IFont>(*ret)->SetRatio(100,1000)); // lometric fonts
	return S_OK;
}
