/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#pragma once
inline bool isInExtList(LPCOLESTR exts,LPCOLESTR ext) {
	const OLECHAR *last = exts, *i;
	while(i = wcschr(last,'|')) {
		if(!wcsncmp(last,ext,i-last))
			return true;
		last = i+1;
	}
	if(!wcscmp(last,ext))
		return true;
	return false;
}
