/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


// fills in MENUITEMINFO for you.
struct MenuItem : MENUITEMINFO {
	MenuItem();
	// where: 0 is begin, -1 is end
	void insert(HMENU hMenu,const char *s,UINT id,int where=0,HMENU menu=0,bool radioCheck=false);
	void insertSep(HMENU hMenu,UINT id,int where=0);
};
// finds menu in section or adds
HMENU findOrAddMenu(LPTSTR name,HMENU hMenu,OLEMENUGROUPWIDTHS *widths,int section,bool atEnd);
// inverse
bool removeEmptyMenu(LPTSTR name,HMENU hMenu,OLEMENUGROUPWIDTHS *widths,int section);
// etc.
pair<HMENU,int> findMenu(LPTSTR name,HMENU hMenu,int begin,int end);
pair<int,int> range(HMENU hMenu,OLEMENUGROUPWIDTHS *widths,int sec);
