/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


struct fireMove : fireOneParam<IMCCSiteOwner,MCC_POS_INFO*> {
	fireMove(MCC_POS_INFO *pos) : fireOneParam<IMCCSiteOwner,MCC_POS_INFO*>(&IMCCSiteOwner::Move,pos) {}
};
struct firePutBefore : fireOneParam<IMCCSiteOwner,IMCCSite*> {
	firePutBefore(IMCCSite *o) : fireOneParam<IMCCSiteOwner,IMCCSite*>(&IMCCSiteOwner::PutBefore,o) {}
};
struct firePutBehind : fireOneParam<IMCCSiteOwner,IMCCSite*> {
	firePutBehind(IMCCSite *o) : fireOneParam<IMCCSiteOwner,IMCCSite*>(&IMCCSiteOwner::PutBehind,o) {}
};
struct fireIntend : fireOneParam<IMCCSiteOwner,long> {
	fireIntend(long state) : fireOneParam<IMCCSiteOwner,long>(&IMCCSiteOwner::Intend,state) {}
};
