/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


// it hung the compiler to call this _Copy<FORMATETC>
class copyFORMATETC
{
public:
	static HRESULT copy(FORMATETC* p1, FORMATETC* p2) {
		*p1 = *p2;
		if(p2->ptd) {
			p1->ptd = (DVTARGETDEVICE*)CoTaskMemAlloc(p2->ptd->tdSize);
			memcpy(p1->ptd,p2->ptd,p2->ptd->tdSize);
		}
		return S_OK;
	}
	static void init(FORMATETC* p) {
		memset(p,0,sizeof(FORMATETC));
	}
	static void destroy(FORMATETC* p) {
		if(p->ptd)
			CoTaskMemFree(p->ptd);
	}
};
typedef enum_iterator<IEnumFORMATETC, &IID_IEnumFORMATETC, FORMATETC, copyFORMATETC> formatetc_iterator;

// opposite of an iterator but hey
typedef CComObject<CComEnum<IEnumFORMATETC,&IID_IEnumFORMATETC,FORMATETC,copyFORMATETC> > fetcenum;
