/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#include "getSinks.h"
template<class I>
inline HRESULT getSinkWhichImplements(IUnknown *source,REFIID connection,I **ret) {
	for(connection_iterator ci(getSinks(source,connection)); ci!=connection_iterator(); ++ci)
		if(SUCCEEDED(ci->pUnk->QueryInterface(riidret(ret))))
			return S_OK;
	return E_FAIL;
}
