/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#ifndef getSinks_h
#define getSinks_h
inline CComPtr<IEnumConnections> getSinks(IUnknown *u,REFIID riid) {
	CComPtr<IEnumConnections> ret;
	if(CComQIPtr<IConnectionPointContainer> cpc = u) {
		CComPtr<IConnectionPoint> cp;
		if(SUCCEEDED(cpc->FindConnectionPoint(riid,&cp)))
			cp->EnumConnections(&ret); // ignore HRESULT b/c presumably it will leave ret empty if it fails
	}
	return ret;
}
#endif getSinks_h