/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#ifndef RECTF_H
#define RECTF_H
#include "rect.h"
// hmm this doesn't have a damn thing to do with rects anymore
inline POINTF pointf(float x, float y) {
	POINTF ret = {x,y};
	return ret;
}
inline POINTF pointf(POINTL p) {
	POINTF ret = {p.x/1000.0f,p.y/1000.0f};
	return ret;
}
inline POINTL pointl(POINTF p) {
	POINTL ret = {long(p.x*1000.0f),long(p.y*1000.0f)};
	return ret;
}
#endif RECTF_H