/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


// stdafx.h : include file for standard system include files,
//      or project specific include files that are used frequently,
//      but are changed infrequently

#if !defined(AFX_STDAFX_H__3DA966C3_AD74_11D3_AC0B_50ED47C10401__INCLUDED_)
#define AFX_STDAFX_H__3DA966C3_AD74_11D3_AC0B_50ED47C10401__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define STRICT
#ifndef _WIN32_WINNT
#define _WIN32_WINNT 0x0400
#endif
#define _ATL_APARTMENT_THREADED

#define ATL_TRACE_CATEGORY atlTraceQI
#include <atlbase.h>
//You may derive a class from CComModule and use it if you want to override
//something, but do not change the name of _Module
class CExeModule : public CComModule
{
public:
	LONG Unlock();
	DWORD dwThreadID;
	HANDLE hEventShutdown;
	void MonitorShutdown();
	bool StartMonitor();
	bool bActivity;
};
extern CExeModule _Module;
#include <atlcom.h>
#include <atlwin.h>

#include <docobj.h>

#include "rect.h"
#include "break.h"
#include "check.h"
#include "qi.h"
#include "run.h"
#include "MTracePlus.h"
#include "methtrace.h"
#include "err.h"
#include "tracecreate.h"
#include "getObjectCLSID.h"
#include "../foreign/enum_iterator.h"

#include <algorithm>
#include <string>
using namespace std;

#include "appFrame.h"
#define REGGY_LIBID LIBID_MontageFrame
#include "reggy_rid.h"

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__3DA966C3_AD74_11D3_AC0B_50ED47C10401__INCLUDED)
