/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


// stdafx.h : include file for standard system include files,
//      or project specific include files that are used frequently,
//      but are changed infrequently

#if !defined(AFX_STDAFX_H__B9085385_2A83_11D4_AC0D_C0DF51C10000__INCLUDED_)
#define AFX_STDAFX_H__B9085385_2A83_11D4_AC0D_C0DF51C10000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define STRICT
#ifndef _WIN32_WINNT
#define _WIN32_WINNT 0x0400
#endif
#define _ATL_APARTMENT_THREADED

#define ATL_TRACE_CATEGORY atlTraceQI
#include <atlbase.h>
//You may derive a class from CComModule and use it if you want to override
//something, but do not change the name of _Module
extern CComModule _Module;
#include <atlcom.h>

#include <algorithm>
#include <strstream>
using namespace std;

#include "MTracePlus.h"
#include "methtrace.h"
#include "tracecreate.h"
#include "break.h"
#include "err.h"
#include "run.h"
#include "check.h"
#include "qi.h"
#include "enum_iterator.h"
#include "fireEvent.h"
#include "fireFunctors.h"

#include "..\Group\Group.h"
#include "comdg.h"
#include "resource.h"
#define REGGY_LIBID LIBID_comdg
#include "reggy_rid.h"
#include "registerGeneric.h"
#include "Monikers.h"
#include "pointd.h"
#include "large.h"
#include "getObjectCLSID.h"

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__B9085385_2A83_11D4_AC0D_C0DF51C10000__INCLUDED)
