/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


inline void handleDGException(DGException xep) {
#ifdef _DEBUG
    if(_CrtDbgReport(_CRT_ASSERT,__FILE__,__LINE__,0,"Dynagraph exception: %s",xep.exceptype)==1)\
        BREAK();
#else
    ::MessageBox(0,xep.exceptype,"Dynagraph Exception",MB_OK);
    BREAK();
#endif
}
inline void handleIncrError(IncrError ixep) {
#ifdef _DEBUG
    if(_CrtDbgReport(_CRT_ASSERT,__FILE__,__LINE__,0,"%s: %s",ixep.exceptype,ixep.descrip)==1)\
        BREAK();
#else
    ::MessageBox(0,ixep.exceptype,ixep.exceptype,MB_OK);
    BREAK();
#endif
}
