/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


inline HRESULT olecolor2rgb(OLE_COLOR clr,Color *ret) {
    FUNTRACE(olecolor2rgb);
    COLORREF clr2;
    SRUN(OleTranslateColor(clr,0,&clr2));
    if((clr2&0xff000000)!=0) // no palette colors
        SERR(E_INVALIDARG);
    *ret = Color(GetRValue(clr2),GetGValue(clr2),GetBValue(clr2));
    return S_OK;
}
