/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#ifndef readHGlobalDotfile_h
#define readHGlobalDotfile_h
inline StrGraph *readHGlobalDotfile(HGLOBAL data) {
	FILE *f = tmpfile();
	char *s= (char*)GlobalLock(data);
	int n = strlen(s);
    for(int i = 0; i<n; ++i)
        if(s[i]==13) s[i]=' ';
	fwrite(s,n,1,f);
	fseek(f,0,SEEK_SET);
	StrGraph *sg = readStrGraph(f);
	fclose(f);
    return sg;
}
#endif