/**********************************************************
*      This software is part of the graphviz toolset      *
*                http://www.graphviz.org/                 *
*                                                         *
*            Copyright (c) 1994-2005 AT&T Corp.           *
*                and is licensed under the                *
*            Common Public License, Version 1.0           *
*                      by AT&T Corp.                      *
*                                                         *
*        Information and Software Systems Research        *
*              AT&T Research, Florham Park NJ             *
*                                                         *
*               This version available from               *
*                   http://dynagraph.org                  *
**********************************************************/


#pragma once

#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers
// Windows Header Files:
#include <windows.h>
// C RunTime Header Files
#include <stdlib.h>
#include <malloc.h>
#include <memory.h>
#include <tchar.h>

// TODO: reference additional headers your program requires here
#include <atlbase.h>

// ignore #pragma prototyped in agraph.h
#pragma warning(disable:4068)

extern CComModule _Module;
#include <atlcom.h>
#include <atlctl.h>
#include "dispex.h"

#include "MTracePlus.h"
#include "methtrace.h"
#include "tracecreate.h"

#include "..\comdg\comdg.h"
#include "..\Group\Group.h"
#include "..\Montage\Montage.h"
#include "..\dgm\dgm.h"
#include "Dinograph.h"

#include "resource.h"

#include "break.h"
#include "check.h"
#include "run.h"
#include "qi.h"
#include "err.h"

#include "RegCategory.h"
#define REGGY_LIBID LIBID_Dinograph
#include "reggy_rid.h"
#include "registerGeneric.h"
#include "APCAdvise.h"
#include "FixedOlePersist.h"

#include <vector>
using namespace std;

//#include "..\dg2\Common\useful.h"

#include "pointd.h"
#include "enum_iterator.h"
#include "fireSiteEvent.h"
#include "fireEvent.h"
#include "fireFunctors.h"
#include "fireOwnerFunctors.h"
#include "FoolishCreatePointerMoniker.h"
#include "getObjectCLSID.h"

#include "Monikers.h"

#include "nodeAndSite.h"
